#ifndef FORMTEMPLATEEDITOR_H
#define FORMTEMPLATEEDITOR_H

#include <QMainWindow>
#include <QJsonDocument>
#include "templatedao.h"

namespace Ui {
class formTemplateEditor;
}

class formTemplateEditor : public QMainWindow
{
    Q_OBJECT

public:
    explicit formTemplateEditor(QWidget *parent = nullptr);
    ~formTemplateEditor();

    void loadTemplate(const Template &tpl);

signals:
    void templateSaved();

private:
    Ui::formTemplateEditor *ui;
    Template m_currentTemplate;

    void connectSignals();
    QJsonDocument buildJSON();
    void saveTemplate();
};

#endif // FORMTEMPLATEEDITOR_H